package com.goafanti.demand.service;




import com.goafanti.common.model.DemandFollow;
import com.goafanti.common.model.DemandFollowDetail;
import com.goafanti.core.mybatis.page.Pagination;
import com.goafanti.demand.bo.DemandFollowDetailListBo;
import com.goafanti.demand.bo.DemandFollowListBo;



public interface DemandFollowService {

	
	int insertDemandFollow(DemandFollow d);

	int insertDemandFollowDetail(DemandFollowDetail d,String createTimeFormattedDate);

	Pagination<DemandFollowListBo> selectDemandFollow(String id,Integer pNo,Integer pSize);

	int deleteDemandFollow(String id);

	int updateDemandFollow(DemandFollow d);
	
	Pagination<DemandFollowDetailListBo> selectDemandFollowDetail(String id,Integer pNo, Integer pSize);
}
